#include <iostream>
#include <vector>
#include <cmath>
using namespace std;

const int MAX_N = 1000000;

vector<int> primes;
vector<int> primePowerSum(MAX_N + 1, 0);

void sieve() {
    vector<bool> isPrime(MAX_N + 1, true);
    isPrime[0] = isPrime[1] = false;

    for (int i = 2; i <= MAX_N; ++i) {
        if (isPrime[i]) {
            primes.push_back(i);
            for (int j = 2 * i; j <= MAX_N; j += i) {
                isPrime[j] = false;
            }
        }
    }
}

void preprocess() {
    for (int p : primes) {
        for (int i = p; i <= MAX_N; i += p) {
            int num = i;
            while (num % p == 0) {
                primePowerSum[i]++;
                num /= p;
            }
        }
    }

    for (int i = 2; i <= MAX_N; ++i) {
        primePowerSum[i] += primePowerSum[i - 1];
    }
}

int main() {
    sieve();
    preprocess();

    int q;
    cin >> q;

    while (q--) {
        int ai;
        cin >> ai;
        cout << primePowerSum[ai] << endl;
    }

    return 0;
}