#include <iostream>
#include <vector>
#include <algorithm>
using namespace std;

using num = vector <int>;

num to_num(string s) {
    reverse(s.begin(), s.end());
    num a;
    for(char c:s) {
        a.push_back(c - '0');
    }
    return a;
}
num to_num(long long n) {
    return to_num(to_string (n));
}

string to_string(num x) {
    string s;
    for(int d:x) {
        s.push_back(char('0' + d));
    }
    reverse(s.begin(), s.end());
    return s;
}

ostream& operator<<(ostream& out, const num& a) {
    out << to_string(a);
    return out;
}

istream& operator>>(istream& is, num& a) {
    string s;
    is >> s;
    a = to_num(s);
    return is;
}

num mul(num a, num b) {
    int m = a.size();
    int n = b.size();
    num x(m + n);
    for(int i1 = 0; i1 < m; i1++) {
        for(int i2 = 0; i2 < m; i2++) {
            x[i1 + i2] += a[i1] * b[i2];
        }
    }
    int pr = 0;
    for(int i = 0; i < m + n; i++) {
        x[i] = x[i] + pr;
        pr = x[i] / 10;
        x[i] %= 10;
    }
    while(pr > 0) {
        x.push_back(pr % 10);
        pr /= 10;
    }
    while(x.size() > 1 && x.back() == 0) {
        x.pop_back();
    }
    return x;
}

num operator* (num a, num b) {
    return mul(a, b);
}

int main () {
    num a, b;
    cin >> a >> b;
    cout << a * b;

    return 0;
}
